"""JARVIS bot-specific embeds."""
from dis_snek.models.discord.embed import Embed, EmbedField
from dis_snek.models.discord.user import Member
from jarvis_core.util import build_embed


def warning_embed(user: Member, reason: str) -> Embed:
    """
    Generate a warning embed.

    Args:
        user: User to warn
        reason: Warning reason
    """
    fields = [EmbedField(name="Reason", value=reason, inline=False)]
    embed = build_embed(
        title="Warning", description=f"{user.mention} has been warned", fields=fields
    )
    embed.set_author(name=user.display_name, icon_url=user.display_avatar.url)
    embed.set_footer(text=f"{user.username}#{user.discriminator} | {user.id}")
    return embed
